Loading...
Searching...
No Matches
hueplusplus::HueSaturation Struct Reference

Color in hue and saturation. More...

`#include <hueplusplus/ColorUnits.h>`

## Public Member Functions

bool | operator== (const HueSaturation &other) const
bool | operator!= (const HueSaturation &other) const

## Public Attributes

int | hue
| Color hue.
int | saturation
| Color saturation.

## Detailed Description

Color in hue and saturation.

## Member Function Documentation

## operator!=()

bool hueplusplus::HueSaturation::operator!= | ( | const HueSaturation & | other | ) | const

inline

## operator==()

bool hueplusplus::HueSaturation::operator== | ( | const HueSaturation & | other | ) | const

inline

## Member Data Documentation

## hue

int hueplusplus::HueSaturation::hue

Color hue.

Ranges from 0 to 65535 (16 bit), where 65535 and 0 are red, 25500 is green and 46920 is blue.

## saturation

int hueplusplus::HueSaturation::saturation

Color saturation.

Ranges from 0 to 254 (8 bit), where 0 is least saturated (white) and 254 is most saturated (vibrant).

The documentation for this struct was generated from the following file:

- include/hueplusplus/ColorUnits.h